
From: Christoph Hellwig <hch@lst.de>

Well, UML is pretty out of date in mainline, but I'd like to squash the last
users of said beasts rather sooner than later.


---

 25-akpm/arch/um/drivers/net_kern.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN arch/um/drivers/net_kern.c~fix-mod_incdec_use_count-gunk-in-arch-um-drivers-net_kernc arch/um/drivers/net_kern.c
--- 25/arch/um/drivers/net_kern.c~fix-mod_incdec_use_count-gunk-in-arch-um-drivers-net_kernc	Fri May  7 15:11:56 2004
+++ 25-akpm/arch/um/drivers/net_kern.c	Fri May  7 15:11:56 2004
@@ -124,7 +124,6 @@ static int uml_net_open(struct net_devic
 	spin_lock(&opened_lock);
 	list_add(&lp->list, &opened);
 	spin_unlock(&opened_lock);
-	MOD_INC_USE_COUNT;
  out:
 	spin_unlock(&lp->lock);
 	return(err);
@@ -144,7 +143,6 @@ static int uml_net_close(struct net_devi
 	list_del(&lp->list);
 	spin_unlock(&opened_lock);
 
-	MOD_DEC_USE_COUNT;
 	spin_unlock(&lp->lock);
 	return 0;
 }

_
